scala.actors.remote
class TcpService

[source: `scala/actors/remote/TcpService.scala`]

`` `class` TcpService(port : Int)
  `extends` Thread `with` Service

Value Summary
`val` | serializer : JavaSerializer

Values and Variables inherited from Service
kernel

Method Summary
`def` | addConnection (node : Node, worker : TcpServiceWorker) : Unit
`def` | connect (n : Node) : TcpServiceWorker
`def` | disconnectNode (n : Node) : Unit
`def` | getConnection (n : Node) : Option[TcpServiceWorker]
`def` | isConnected (n : Node) : Boolean
`def` | isReachable (node : Node) : Boolean
`def` | node : Node
`def` | nodeDown (mnode : Node) : Unit
`override def` | run : Unit
`def` | send (node : Node, data : Array[Byte]) : Unit Sends a byte array to another node on the network. If the node is not yet up, up to `TcpService.BufSize` messages are buffered.

Methods inherited from Thread
blockedOn, start, stop, stop, interrupt, isInterrupted, destroy, isAlive, suspend, resume, setPriority, getPriority, setName, getName, getThreadGroup, countStackFrames, join, join, join, setDaemon, isDaemon, checkAccess, toString, getContextClassLoader, setContextClassLoader, getStackTrace, getId, getState, getUncaughtExceptionHandler, setUncaughtExceptionHandler

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` serializer : JavaSerializer

Overrides
  Service.serializer

Method Details

`` `def` node : Node

Overrides
  Service.node

`` `def` send(node : Node, data : Array[Byte]) : Unit

  Sends a byte array to another node on the network. If the node is not yet up, up to `TcpService.BufSize` messages are buffered.

Overrides
  Service.send

`override` `def` run : Unit

Overrides
  Thread.run

`` `def` addConnection(node : Node, worker : TcpServiceWorker) : Unit

`` `def` getConnection(n : Node) : Option[TcpServiceWorker]

`` `def` isConnected(n : Node) : Boolean

`` `def` connect(n : Node) : TcpServiceWorker

`` `def` disconnectNode(n : Node) : Unit

`` `def` isReachable(node : Node) : Boolean

`` `def` nodeDown(mnode : Node) : Unit